Index: compiler/visualc.hpp
===================================================================
--- compiler/visualc.hpp	(revision 40789)
+++ compiler/visualc.hpp	(working copy)
@@ -156,6 +156,8 @@
 #     define BOOST_COMPILER_VERSION 7.1
 #   elif _MSC_VER == 1400
 #     define BOOST_COMPILER_VERSION 8.0
+#   elif _MSC_VER == 1500
+#     define BOOST_COMPILER_VERSION 9.0
 #   else
 #     define BOOST_COMPILER_VERSION _MSC_VER
 #   endif
Index: auto_link.hpp
===================================================================
--- auto_link.hpp	(revision 40789)
+++ auto_link.hpp	(working copy)
@@ -130,11 +130,16 @@
    // vc71:
 #  define BOOST_LIB_TOOLSET "vc71"
 
-#elif defined(BOOST_MSVC) && (BOOST_MSVC >= 1400)
+#elif defined(BOOST_MSVC) && (BOOST_MSVC == 1400)
 
    // vc80:
 #  define BOOST_LIB_TOOLSET "vc80"
 
+#elif defined(BOOST_MSVC) && (BOOST_MSVC >= 1500)
+
+    // vc90:
+#  define BOOST_LIB_TOOLSET "vc90"
+
 #elif defined(__BORLANDC__)
 
    // CBuilder 6:
